//+------------------------------------------------------------------+
//|                            CanvasPolylineShadow1_2PixelSetAA.mq5 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.2"
#property description "Demonstrating Canvas Polyline PixelSetAA"
//+------------------------------------------------------------------+
//| V1.2    PixelSetAA                           |
//+------------------------------------------------------------------+
//---
#include <Canvas\Canvas.mqh>
//+--
int      Width=400;
int      Height=300;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
int OnStart(void)
  {
//--- create canvas
   CCanvas canvas;
   if(!canvas.CreateBitmapLabel("SampleCanvas",0,0,Width,Height,COLOR_FORMAT_ARGB_NORMALIZE))
     {
      Print("Error creating canvas: ",GetLastError());
      return(-1);
     }
//--- deawing
   canvas.Erase(ColorToARGB(clrNONE,0));
   canvas.Update();
//--- start randomizer
   srand(GetTickCount());
//--- draw pixels
   uint clr_no_alfa=ColorToARGB(clrRed,255); //Color without alpha channel
   uint clr_alfa=ColorToARGB(clrRed,200);    //Color with alpha channel
   for(int a=0;a<100;a++)
     {
      canvas.PixelSetAA(150+a,150+a,clr_no_alfa);
     }
   for(int b=0;b<100;b++)
     {
      canvas.PixelSetAA(150+b,200,clr_alfa);
     }
   canvas.Update();
   Sleep(6000);
//--- finish
   ObjectDelete(0,"SampleCanvas");
   canvas.Destroy();
   return(0);
  }
//+------------------------------------------------------------------+
